Workspace External Group
A group from your identity provider (IdP), identified by its ID in your IdP. This resource is
read-only. Getting an external group syncs its name and parent groups from your IdP, and adds
it to your account if it isn't already there. If your account has group visibility filters, the
group must match them. To address an external group, put its resource name in the URL:
GET /api/2.0/identity/accounts/{account_id}/external-groups/{external_group_id} in account
APIs, or GET /api/2.0/identity/external-groups/{external_group_id} in workspace APIs.
ExternalGroup object
A group from your identity provider (IdP), identified by its ID in your IdP. This resource is
read-only. Getting an external group syncs its name and parent groups from your IdP, and adds
it to your account if it isn't already there. If your account has group visibility filters, the
group must match them. To address an external group, put its resource name in the URL:
GET /api/2.0/identity/accounts/{account_id}/external-groups/{external_group_id} in account
APIs, or GET /api/2.0/identity/external-groups/{external_group_id} in workspace APIs.
- namestringOutput onlyIDImmutable
The resource name of the external group, in one of these formats:
- Account APIs:
accounts/{account_id}/external-groups/{external_group_id} - Workspace APIs:
external-groups/{external_group_id}
- Account APIs:
- external_group_idstringOutput only
The ID of the group in your IdP.
- internal_idstringOutput only
The Databricks ID of the group. Use it as the
group_idin the group APIs.
- display_namestringOutput only
The name of the group, from your IdP. It's the same as the group's
group_name.
- account_idstringOutput only
The ID of the account that contains the group.
Get an external group in the account GA
GET
Gets a group by its ID in your identity provider (IdP) and syncs its name and parent groups from your IdP. If the group isn't in the account that contains this workspace yet, it's added. Requires automatic identity management. If your account has group visibility filters, the group must match them.
API scopes: identity
Parameters
- namestringRequiredpath
The resource name of the external group, in the format
external-groups/{external_group_id}.
Response
Returns the ExternalGroup object.